  

.miam-recipe-details {
  border-radius: var(--m-border-radius);
  display: inline-flex;
  flex-direction: column;
  height: calc(80vh - 80px);
  margin: 40px 8px;
  min-width: calc(100% - 32px);
  overflow-y: auto;
  padding: 0 16px;

  &::-webkit-scrollbar-button {
    height: 20px;
  }

  &::-webkit-scrollbar-track {
    background: var(--m-color-grey);
  }

  &::-webkit-scrollbar {
    cursor: -webkit-grab;
    height: 7px;
    width: 5px;
  }
  &::-webkit-scrollbar-thumb {
    background: var(--m-color-primary);
    border-radius: 5px;
  }

  .miam-recipe-details__top__container {
    display: flex;
    justify-content: space-evenly;

    .miam-recipe-details__top__container__img {
      width: 370px;
      height: 400px;
      overflow: hidden;
      position: relative;
      border-radius: var(--m-border-radius);

      img {
        -webkit-print-color-adjust: exact;
        transform: translateX(-25%);
        display: block;
        height: 100%;
        width: 100%;
        object-fit: cover;
      }

      .miam-recipe-details__picture__gradient {
        border-top-left-radius: var(--m-border-radius);
        border-top-right-radius: var(--m-border-radius);
        position:absolute;
        display: block;
        top: 0px;
        width:100%; 
        height:100%;
        background: linear-gradient(180deg, rgba(0, 0, 0, 0) 57.92%, rgba(0, 0, 0, 0.75) 100%, rgba(0, 0, 0, 0.75) 100%);
        @media print {
          display: none;
        }
      }

      .miam-recipe-details__picture__tag{
        position: absolute;
        left: 16px;
        bottom: 16px;
        background-color: var(--m-color-primary-light);
        color : var(--m-color-primary);
        border-radius: 5px;
        padding: 8px;
        text-transform: uppercase;
        font-weight: 500;
        @media print  {
          display: none;
        }
      }

      .miam-recipe-details__img__actions {
        @media print  {
          display: none;
        }
        display: flex;
        flex-direction: column;
        justify-content: space-evenly;
        position: absolute;
        z-index: var(--m-z-index-position-absolute-hight);
        top: 16px;
        right: 16px;

        .miam-recipe-details__actions__icon {
          margin: 0 0 16px;
          object-fit: contain;
          box-shadow: var(--m-shadow-small);
          padding: 8px;
          background-color: #fff;
          border-radius: var(--m-border-radius-circle);
          width: max-content;

          &.miam-noPadding {
            padding: 0;
          }
        }
      }

      .miam-recipe-details__picture__sponsor {
        position: absolute;
        bottom: 16px;
        right: 16px;
        height: auto;
        max-height: 72px;
        width: auto;
        max-width: 96px;
        object-fit: contain;
        transform: none ;
      }
    }

    .miam-recipe-details__top__container__infos {
      flex: 1 1;
      display: flex;
      flex-direction: column;
      padding: 16px;
      margin-left: 40px;
      position: relative;

      .miam-recipe-details__infos__type {
        padding-bottom: 16px;
        font-size: 14px;
        line-height: 1.14;
        text-align: left;
        color: var(--m-color-black);
      }

      .miam-recipe-details__infos__title {
        font-size: 32px;
        font-weight: bold;
        line-height: 1.1;
        text-align: left;
        color: var(--m-color-secondary);
      }

      .miam-recipe-details__infos__metrics {
        display: flex;
        flex-direction: row;
        padding: 16px 0;
        align-items: center;

        span {
          margin-left: 12px;
          font-size: 14px;
          color: var(--m-color-black);
        }
      }

      .miam-recipe-details__infos__description {
        font-size: 17px;
        line-height: 1.62;
        margin-bottom: 80px;
        text-align: left;
        color: var(--m-color-grey-text-dark);
        overflow-y: auto;
        display: flex;
        flex-direction: column;
        flex: 1;
        word-break: break-word;

        .miam-recipe-details__description__action{
          margin-top: 16px;
          display: flex;
          align-items: center;  
          @media print {
              display: none;
          }
         
          &> * {
            cursor: pointer;
            &:hover {
              text-decoration: underline;
              color: var(--m-color-primary);
            }
          }
          ng-miam-icon {
            margin-right:10px
          }
        }
      }
    }
  }

  .miam-recipe-details__infos__price__wrapper {
    position: absolute;
    bottom: 0;
    right: 0;
    padding-left: 16px;
    display: flex;
    flex-direction: column;
    align-items: flex-end;

    &.relative {
      position: relative;
    }

    .miam-recipe-details__infos__price {
      margin-bottom: 4px;
      padding: 4px;

      .miam-recipe-pricing__wrapper {
        flex-direction: row;
        color: var(--m-color-primary);
        @media print  {
          display: none;
        }

        .miam-recipe-pricing__wrapper__price {
          font-size: 20px;
        }

        .miam-recipe-pricing__wrapper__subline {
          margin-left: 12px;
          font-size: 14px;
        }
      }
    }

    .miam-recipe-details__infos__action {
      @media print  {
        display: none;
      }
      font-size: 16px;
      border-radius: 20px;
      padding: 8px 20px;
      color: var(--m-color-white);

      &:hover{
        color: var(--m-color-primary);
      }

      ng-miam-icon {
        margin-left: 16px;
      }
    }
  }

  .miam-recipe-details__top__container__info {
    align-items: center;
    display: flex;
    justify-content: center;
    flex-direction: column;
    padding: 16px 0;
    width: 370px;
    gap: 24px;

    .miam-recipe-details__info__metrics{
      display: flex;
      flex-direction: row;
      justify-content: center;
      align-items: center;
      gap: 12px
    }

    .miam-recipe-details__info__times {
      display: flex;
      flex-direction: row;
      justify-content: center;
      align-items: center;
      gap: 16px;
    }

    ng-miam-icon {
      display: flex;
      min-height: 32px;
      justify-content: center;
    }
    span {
      font-size: 15px;
    }
  }

  .miam-recipe-details__mid__container {
    width: 100%;
    display: flex;
    border-bottom: dashed 1px var(--m-color-primary);
    padding-bottom: 16px;
  }

  .miam-recipe-details__bottom__container {
    display: flex;
    width: 100%;

    .miam-recipe-details__bottom__container__header {
      margin: 24px 0;
      padding-bottom: 8px;
      padding: 16px 0px 8px 0;
      font-size: 20px;
      color: var(--m-color-primary);
      display: block;
      font-size: 17px;
      font-weight: bold;
      position: relative;
      border-bottom: solid 1px var(--m-color-grey-text);
    }

    .miam-recipe-details__bottom__container__ingredients {
      display: flex;
      flex: 1;
      flex-direction: column;
      padding: 0px 40px 0px 0;

      .miam-recipe-details__ingredients__counter {
        display: flex;
        align-items: center;

        ng-miam-counter-input {
          .miam-counter-input__icon {
            margin-right: 16px;
          }
        }

        .miam-recipe-details__ingredients__counter__print {
          display: none;
        }

        @media print{

          ng-miam-counter-input{
            display: none;
          }
          .miam-recipe-details__ingredients__counter__print {
            display: block;
          }

        }
      }

      .miam-recipe-details__ingredients__list {
        flex: 1 1;
        overflow-y: auto;
        padding-bottom: 40px;
        &::-webkit-scrollbar-track {
          background: var(--m-color-grey);
        }

        &::-webkit-scrollbar {
          cursor: -webkit-grab;
          height: 7px;
          width: 5px;
        }
        &::-webkit-scrollbar-thumb {
          background: var(--m-color-primary);
          border-radius: 5px;
        }
      }

      .miam-recipe-details__ingredients__row {
        display: flex;
        justify-content: space-between;
        font-size: 14px;
        font-weight: bold;
        height: 40px;
        color: var(--m-color-black);
        padding-bottom: 16px;

        .miam-recipe-details__ingredients__row__qty {
          color: var(--m-color-grey-text-dark);
          font-size: 14px;
          font-weight: 500;
          padding-right: 10px;
        }
      }
    }

    .miam-recipe-details__bottom__container__steps {
      display: flex;
      flex: 1;
      flex-direction: column;

      .miam-recipe-details__steps__list {
        flex: 1 1;
        overflow-y: auto;
        padding-bottom: 40px;

        &::-webkit-scrollbar-track {
          background: var(--m-color-grey);
        }

        &::-webkit-scrollbar {
          cursor: -webkit-grab;
          height: 7px;
          width: 5px;
        }
        &::-webkit-scrollbar-thumb {
          background: var(--m-color-primary);
          border-radius: 5px;
        }

        .miam-recipe-details__steps__list__panel {
          display: flex;
          flex-direction: row;
          align-items: center;
          background-color: var(--m-color-primary-text);
          margin: 0 16px 8px 0;

          border-radius: var(--m-border-radius);
          text-align: left;
          transition: var(--m-default-transition);
          cursor: pointer;

          .miam-recipe-details__panel__idx {
            font-size: 20px;
            margin-right: 20px;
            color: var(--m-color-secondary);
            flex: 0 0 auto;
          }

          .miam-recipe-details__panel__text {
            word-break: break-word;
            font-size: 14px;
          }

          .miam-recipe-details__panel__checkIcon {
            flex: 0 0 auto;
          }

          &.miam-recipe-details__panel__done {
            background-color: var(--m-color-secondary-light);
          }

          div {
            flex: 1;
            margin: 10px;
          }
        }
      }
    }
  }

  .miam-recipe-details__bottom__container__action {

  }
  @media print  {
    height: unset;
  }
 
}
